%div#modal_merge_info.modal.hide
  .modal-dialog
    .modal-content
      .modal-header
        %a.close{href: "#", "data-dismiss" => "modal"} ×
        %h3
          = t('merge_request_section.how_to')
      .modal-body
        - if @merge_request.for_fork?
          - source_remote = @merge_request.source_project.namespace.nil? ? "source" :@merge_request.source_project.namespace.path
          - target_remote = @merge_request.target_project.namespace.nil? ? "target" :@merge_request.target_project.namespace.path
          %p
            %strong
              = t('merge_request_section.how_to_step_1')
            = t('merge_request_section.check_out_branch_to_merge')
          %pre.dark
            :preserve
              git checkout -b #{@merge_request.source_project_path}-#{@merge_request.source_branch} #{@merge_request.target_branch}
              git pull #{@merge_request.source_project.http_url_to_repo} #{@merge_request.source_branch}
          %p
            %strong
              = t('merge_request_section.how_to_step_2')
            = t('merge_request_section.merge_branch_push')
          %pre.dark
            :preserve
              git checkout #{@merge_request.target_branch}
              git merge --no-ff #{@merge_request.source_project_path}-#{@merge_request.source_branch}
              git push origin #{@merge_request.target_branch}
        - else
          %p
            %strong
              = t('merge_request_section.how_to_step_1')
            = t('merge_request_section.update_repo_and_checkout')
          %pre.dark
            :preserve
              git fetch origin
              git checkout -b #{@merge_request.source_branch} origin/#{@merge_request.source_branch}
          %p
            %strong
              = t('merge_request_section.how_to_step_2')
            = t('merge_request_section.merge_branch_push')
          %pre.dark
            :preserve
              git checkout #{@merge_request.target_branch}
              git merge --no-ff #{@merge_request.source_branch}
              git push origin #{@merge_request.target_branch}


:javascript
  $(function(){
    var modal = $('#modal_merge_info').modal({modal: true, show:false});
    $('.how_to_merge_link').bind("click", function(){
      modal.show();
    });
    $('.modal-header .close').bind("click", function(){
      modal.hide();
    })
  })
